% Write a PPM image
function ok = writepgm(image,filename,scale);

   if nargin < 1,  error('writeppm: no image specified'); end
   if nargin < 2,  filename = 'SAVE.ppm'; end
   if nargin < 3, scale = 0; end

   [width,height] = size(image);
   if scale
      minval = min(min(image));
      maxval = max(max(image));
      image = (255.999/(maxval-minval))*(image-minval);
   end
   image = max(min(floor(image),255),0);

   fid = fopen(filename,'w');
   if fid<0, error(['writepgm: can not open file ',filename]); end

   fprintf(fid,'P5\n%d %d\n255\n',width,height);
   fwrite(fid,image,'uchar');
   ok = fclose(fid);
%end
